//: Playground - noun: a place where people can play

import UIKit

var str = "Hello, playground"

// Inicjalizacja pustego zbioru dla danych typu String.
var mySet1 = Set<String>()

// Inicjalizacja modyfikowalnego zbioru dla danych typu String wraz z pewnymi wartościami początkowymi.
var mySet2 = Set(["jeden", "dwa", "trzy"])

// Utworzenie niemodyfikowalnego zbioru dla danych typu String.
let mySet3 = Set(["jeden", "dwa", "trzy"])

var mySet = Set<String>()
mySet.insert("Jeden")
mySet.insert("Dwa")
mySet.insert("Trzy")
mySet.insert("Dwa")

print("Liczba elementów w zbiorze: \(mySet.count).")
var contain = mySet.contains("Dwa")

for item in mySet {
    print(item)
}
var item = mySet.remove("Dwa")

// Metoda removeAll() usuwa wszystkie elementy zbioru.
mySet.removeAll()


